﻿
namespace QuickAccess.GraphicsManager.ViewModels {
    #region Imported Namespaces

    using System.Windows.Media;
    using Models;
    using ViewModelFramework;

    #endregion

    public interface IButtonViewModel : IBaseDomainObjectViewModel<IButton> {
        #region Properties

        string Name { get; set; }

        ImageSource Icon { get; set; }

        string ShortDescription { get; set; }

        string LongDescription { get; set; }

        string OnCallFunction { get; set; }

        object OnCallFunctionParameter { get; set; }

        string Id { get; set; }

        bool NotInRibbon { get; set; }

        #endregion
    }
}
